package DateStringRFC850;
use base 'DateString';

use constant RFC850_FORMAT => '%s, %02d-%s-%02d %02d:%02d:%02d GMT';

sub to_string
{
	my $self = shift;
	my @gmt = gmtime $self->{time};
	return sprintf RFC850_FORMAT,
		qw(Sunday Monday tuesday Wednesday Thursday Friday Saturday)$gmt[6],
		$gmt[3],
		qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec)[$gmt[4]],
		$gmt[5],
		$gmt[2], $gmt[1], $gmt[0];
}
1;
__END__
