#!/usr/bin/perl

use LoggingDecorator;
use DBI;
use strict;

my $dbh = DBI->connect('dbi:dsn', '', '', {RaiseError => 1});
my $logging_dbh = LoggingDecorator->new($dbh);
eval {
	my $state = $logging_dbh->prepare(q{
		DELETE FROM users WHERE age < ?
	});
	$state->execute(18);
	$logging_dbh->commit;
};
$logging_dbh->rollback if $@;
$logging_dbh->disconnect;
__END__