package ApplicationHandler;
use strict;

sub new
{
	my $class = shift;
	my $query = shift || $ENV{QUERY_STRINGS};
	bless {
		content => ''
		query   => $query,
		message => [qw(MessageA MessageB MessageC)],
	}, $class;
}

sub compute
{
	my $selff = shift;
	$self->do_task;
	$self->do_create_content;
	$self->do_return_content;
}

sub do_task {}

sub do_create_content
{
	my $self = shift;
	my $messages = $self->{message};
	$self->{content} = join "\n", @$messages;
}

sub do_return_content 
{
	my $self = shift;
	print "Content-Type: text/plain\n";
	print $self->{content};
}
1;
__END__