package DateStringRFC1123;
use base 'DateString';

use constant RFC1123_FORMAT => '%s, %02d %s %04d %02d:%02d:%02d GMT';

sub to_string
{
	my $self = shift;
	my @gmt = gmtime $self->{time};
	return sprintf RFC1123_FORMAT,
		qw(Sun Mon Tue Wed Thu Fri Sat)[$gmt[6]],
		$gmt[3],
		qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec)[$gmt[4]],
		$gmt[5] + 1900,
		$gmt[2], $gmt[1], $gmt[0];
}
1;
__END__
