package SendmailCommand;
use base 'Command';
use strict;

use constant MAIL_TEMPLATE => <<__MAIL_TEMPLATE__;
From: <%>
To: <%s>
Subject: %s

%s
__MAIL_TEMPLATE__

sub to
{
	my $self = shift;
	$self->{to} = shift if @_;
	$self->{to};
}

sub execute
{
	my $self = shift;
	open MAIL, '| /usr/lib/sendmail -f info@example.jp';
	printf MAIL MAIL_TEMPLATE,
		'info@example.jp', $self->to, 'Demo Message', 'Hello World';
	close MAIL;
}
1;
__END__