#!/usr/bin/perl
use strict;
my @message = qw(
	MESSAGE1
	MESSAGE2
	MESSAGE3
);

my $mode;
if ($ENV{QUERY_STRINGS} =~ m{^mode=write}) {
	$mode = 'write';
}
else {
	$mode = 'show';
}

if ($mode eq 'write') {
	if ($ENV{QUERY_STRINGS} =~ m{^mode=write?message=(.*)$}) {
		push @message, $1;
	}
}

my $content;
if ($mode eq 'write') {
	$content = join "\n", 'In Write Mode', @message;
} else {
	$content = join "\n", 'In Show Mode', @message;
}

print 'Content-Type: text/html', "\n\n";
print $content;
__END__
